## alsasink alsasink — Output to a sound card via ALSA |

## Synopsis

                        GstAlsaSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstBaseAudioSink
                               +----GstAudioSink
                                     +----GstAlsaSink

## Implemented Interfaces

GstAlsaSink implements GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read
      "card-name"                gchar*                : Read

## Description

This element renders raw audio samples using the ALSA api.

### Example pipelines

    1
    gst-launch -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! audioresample ! alsasink

Play an Ogg/Vorbis file.

Last reviewed on 2006-03-01 (0.10.4)

## Details

### GstAlsaSink

    typedef struct _GstAlsaSink GstAlsaSink;

Opaque data structure

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

ALSA device, as defined in an asound configuration file.

Default value: "default"

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: ""

### The `"card-name"` property

      "card-name"                gchar*                : Read

Human-readable name of the sound card.

Default value: ""

## See Also

alsasrc, alsamixer